<div class="row">
    <div class="col-md-8 offset-md-4">

        <div class="main">
            <p class="sign" style="text-align: center;">Sign in</p>
            
            <form class="form1" name="form" (ngSubmit)="onSubmit()" #f="ngForm">
                <div class="alert alert-danger mt-1 alert-validation-msg al" role="alert" *ngIf="errorMessage" style="width: 76% ;margin-left:46px;">
                    <i class="feather icon-info mr-1 align-middle"></i>
                    <span>{{errorMessage}}</span>
                  </div>
                <fieldset class="form-label-group form-group position-relative has-icon-left">
                    <input type="text" class="username" id="user-name" placeholder="Username" name="username" #username="ngModel" [(ngModel)]="form.username"  required >
                    <div class="form-control-position">
                        <i class="feather icon-user"></i>
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg al" role="alert" *ngIf="username.touched && username.invalid" style="width: 76% ;margin-left:46px;">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Username Obligatoire</span>
                    </div>
              
                  </fieldset>

                <fieldset class="form-label-group position-relative has-icon-left">
                    <input type="password" class="pass" id="user-password" placeholder="Mot de passe" name="password" #password="ngModel" [(ngModel)]="form.password" required>
                    <div class="form-control-position">
                        <i class="feather icon-lock"></i>
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg al" role="alert" *ngIf="password.touched && password.invalid" style="width: 76% ;margin-left:46px;">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>mot de passe Obligatoire</span>
                    </div>
                </fieldset>
                <fieldset class="form-label-group position-relative has-icon-left">

                <button type="submit" class="btn btn-primary btn-inline" style="margin-left: 46px; margin-top: 30px;width: 76%; margin-bottom: 30px;"  [disabled]="f.invalid">Connecter</button>
                <a href="forgot_password" style="margin-left: 60%; " class="card-link">Mot de passe oublié?</a>
                </fieldset>
              </form>        
        </div>
    </div>
</div>